Bug 1299455 - Qemu: usb ehci out-of-bounds read in ehci_process_itd
Qemu: usb ehci out-of-bounds read in ehci_process_itd
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20160120,reported=2...
: Security
Depends On: 1300234 1300235
Blocks: 1299461
  Show dependency treegraph
 
Reported: 2016-01-18 07:18 EST by Adam Mariš
Modified: 2016-04-26 11:41 EDT (History)
35 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-20 12:00:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Mariš 2016-01-18 07:18:54 EST
Qemu emulator built with the USB EHCI emulation support is vulnerable to an information leakage flaw. It could occur while processing isochronous transfer descriptors(iTD), with buffer page select(PG) index that falls beyond buffer page array area.

A privileged user inside guest could use this flaw to leak qemu memory bytes.

Upstream patch:
---------------
  -> https://lists.gnu.org/archive/html/qemu-devel/2016-01/msg03604.html
Comment 2 Adam Mariš 2016-01-18 07:24:55 EST
Acknowledgments:

Red Hat would like to thank Qinghao Tang of QIHU 360 Marvel Team for reporting this issue.
Comment 3 Prasad J Pandit 2016-01-20 05:20:44 EST
Statement: 

This issue does not affect the versions of the kvm and xen packages as shipped with Red Hat Enterprise Linux 5.

This issue affects the versions of the qemu-kvm packages as shipped with Red Hat Enterprise Linux 6, and the Red Hat Enterprise Linux 6 based versions of qemu-kvm-rhev packages as shipped with Red Hat Enterprise Virtualization 3.

This issue affects the versions of the qemu-kvm packages as shipped with Red Hat Enterprise Linux 7 and the Red Hat Enterprise Linux 7 based versions of the qemu-kvm-rhev packages as shipped with Red Hat Enterprise Virtualization 3.

This has been rated as having Low security impact and is not currently
planned to be addressed in future updates. For additional information, refer
to the Red Hat Enterprise Linux Life Cycle:
https://access.redhat.com/support/policy/updates/errata/.
Comment 4 Prasad J Pandit 2016-01-20 05:25:21 EST
Created xen tracking bugs for this issue:

Affects: fedora-all [bug 1300235]
Comment 5 Prasad J Pandit 2016-01-20 05:25:36 EST
Created qemu tracking bugs for this issue:

Affects: fedora-all [bug 1300234]
Comment 6 Prasad J Pandit 2016-01-20 12:00:18 EST
-> https://bugzilla.redhat.com/show_bug.cgi?id=1299461#c5
Comment 7 Fedora Update System 2016-02-21 07:57:50 EST
qemu-2.4.1-7.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2016-02-21 11:18:26 EST
qemu-2.4.1-7.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2016-02-21 11:24:31 EST
qemu-2.4.1-7.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2016-02-25 03:50:57 EST
qemu-2.3.1-12.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2016-03-19 17:22:49 EDT
xen-4.5.2-9.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2016-03-19 22:26:42 EDT
xen-4.5.2-9.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.